Module java.base
Package java.nio.charset

## Class StandardCharsets

- java.lang.Object
- - java.nio.charset.StandardCharsets

    public final class StandardCharsets
    extends Object

Constant definitions for the standard `Charsets`. These charsets are guaranteed to be available on every implementation of the Java platform.

Since:
  1.7
See Also:
  Standard Charsets

### Field Summary

Fields
`static Charset` `ISO_8859_1` ISO Latin Alphabet No. 1, a.k.a.
`static Charset` `US_ASCII` Seven-bit ASCII, a.k.a.
`static Charset` `UTF_16` Sixteen-bit UCS Transformation Format, byte order identified by an optional byte-order mark
`static Charset` `UTF_16BE` Sixteen-bit UCS Transformation Format, big-endian byte order
`static Charset` `UTF_16LE` Sixteen-bit UCS Transformation Format, little-endian byte order
`static Charset` `UTF_8` Eight-bit UCS Transformation Format

### Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### US_ASCII

    public static final Charset US_ASCII

Seven-bit ASCII, a.k.a. ISO646-US, a.k.a. the Basic Latin block of the Unicode character set

#### ISO_8859_1

    public static final Charset ISO_8859_1

ISO Latin Alphabet No. 1, a.k.a. ISO-LATIN-1

#### UTF_8

    public static final Charset UTF_8

Eight-bit UCS Transformation Format

#### UTF_16BE

    public static final Charset UTF_16BE

Sixteen-bit UCS Transformation Format, big-endian byte order

#### UTF_16LE

    public static final Charset UTF_16LE

Sixteen-bit UCS Transformation Format, little-endian byte order

#### UTF_16

    public static final Charset UTF_16

Sixteen-bit UCS Transformation Format, byte order identified by an optional byte-order mark